//------------------------------------
// Archivo de encabezamiento Atleta.h
//-------------------------------------
#pragma once

//-------------------------
// Archivos de inclusin
//-------------------------
#include <windows.h>
#include "Recursos.h"
#include "NucleoMotor.h"
#include "cBMP.h"
#include "cSprite.h"
#include "cFondo.h"
#include "cGestorFondos.h"

//------------------------
// Variable globales
//------------------------
// objeto juego
NucleoMotor*    g_pJuego;


// Bitmaps del juego
cBMP *          g_pAtletaN;
cBMP *          g_pAtletaS;
cBMP *          g_pAtletaO;
cBMP *          g_pAtletaE;
cBMP *          g_pFinJuego;
cBMP *          g_pPantallaInicial;

// Objetos del fondo
cGestorFondos * g_pGestorFondos;
cFondo *        g_pFondoCampo;
cFondo *        g_pFondoNubes;



// Variable auxiliar para contar bucles
// til para la depuracin y para
// ciertas lgicas de animacin
int             g_iContBucle;

// Indicador de fin de juego
BOOL            g_bFinJuego;
MODO            g_bModo;
bool            g_bFoco;


//tiempo de espera para entrar en modo demo
const int       g_iEsperaModoDemo = 120;
int             g_iCiclosEspera;


// Para bfer auxiliar para
// eliminar el parpadeo
HDC             g_hBuferAuxDC;
HBITMAP         g_hBuferAuxBitmap;

// Constantes para identificar los objetos
typedef         INT         TIPO_OBJ;
const           TIPO_OBJ    ATLETA   = 100;

// Control del modo del juego
void    VerificarModo();


